Summary:	Libraries used by the BIND DNS packages
Name: 		bind-libs994
Version: 	9.9.4
Release: 	18.P2.fc20
License: 	ISC
Group: 		Applications/System
Source0: 	%{name}-%{version}.tar.gz
URL:		http://www.isc.org/products/BIND/
Distribution:	RedHat-Fedora
Vendor:	        Dr. Linux	
Packager:	R.W.H. Vermare <rene@vermare.net>
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires: bash, binutils, gcc, glibc, ncurses, make, tar, zlib, glibc


%define _unpackaged_files_terminate_build       1
%define _missing_doc_files_terminate_build      1
%define _smp_mflags -j4
%define _target_platform i686-pc-linux-gnu

%description
Contains heavyweight version of BIND suite libraries used by both named DNS
server and utilities in bind-utils package.

%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

#%patch

mkdir -p %{buildroot}/usr/lib
cp usr/lib/libdns.so.100.1.1 usr/lib/libdns-export.so.100.1.1 usr/lib/libisc.so.95.2.1 usr/lib/libisc-export.so.95.2.1 %{buildroot}/usr/lib 

%clean
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%post
if test -s libdns.so.100; then
echo "Symlinks already exists"
else
ln -s /usr/lib/libdns.so.100.1.1 /usr/lib/libdns.so.100
fi
if test -s libdns-export.so.100; then
echo "Symlinks already exists"
else
ln -s /usr/lib/libdns-export.so.100.1.1 /usr/lib/libdns-export.so.100
fi
if test -s libisc.so.95; then
echo "Symlinks already exists"
else
ln -s /usr/lib/libisc.so.95.2.1 /usr/lib/libisc.so.95
fi
if test -s libisc-export.so.95; then
echo "Symlinks already exists"
else
ln -s /usr/lib/libisc-export.so.95.2.1 /usr/lib/libisc-export.so.95
fi

%preun
if test -s /usr/lib/libdns.so.100; then
rm -f /usr/lib/libdns.so.100
fi
if test -s /usr/lib/libdns-export.so.100; then
rm -f /usr/lib/libdns-export.so.100
fi
if test -s /usr/lib/libisc.so.95; then
rm -f /usr/lib/libisc.so.95
fi
if test -s /usr/lib/libisc-export.so.95; then
rm -f /usr/lib/libisc-export.so.95
fi

%files
%defattr(-,root,root)
/usr/lib/libdns.so.100.1.1
/usr/lib/libdns-export.so.100.1.1
/usr/lib/libisc.so.95.2.1
/usr/lib/libisc-export.so.95.2.1

%changelog
* Mon Dec 02 2024 René Vermare <rene@vermare.net> - 9.9.4-12.P2.fc20 
- Build version 9.9.4-12.P2.fc20

* Mon Dec 02 2024 René Vermare <rene@vermare.net> - 9.9.4-18.P2.fc20 
- Build version 9.9.4-18.P2.fc20
